"""
>>> import testModule

>>> testModule.simple()
'Success!'
"""
from distutils.core import setup, Extension
import doctest


setup(
    name='testModule',
    version='1.0',
    ext_modules=[
        Extension(
            'testModule',
            ['testmodule.c'],
            library_dirs=['C:\\Program Files\\Trailing Backslash\\'],
            libraries=['test_module'],
            extra_compile_args=[
                '/DMODULE_VERSION="1.0.5"',
                '/DSPACE_STRING="with space"',
                '/DSPECIAL_CHARS="&*<>|()^"',
            ],
            undef_macros=['NDEBUG']
        )
    ]
)

doctest.testmod()